#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 4

#property indicator_color1 DarkSlateGray
#property indicator_color2 DarkSlateGray

#property indicator_color3 DarkOrange
#property indicator_color4 DarkOrange

double BorderTop[];
double BorderBottom[];

double BorderTop2[];
double BorderBottom2[];

extern int START_Hour = 7;
extern int END_Hour = 19;

extern int START_Day = 1;
extern int END_Day = 5;

extern bool Siets=0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(4);
   
   SetIndexStyle(0,DRAW_HISTOGRAM,STYLE_DOT,1);
   SetIndexStyle(1,DRAW_HISTOGRAM,STYLE_DOT,1);
   
   SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,3);
   SetIndexStyle(3,DRAW_LINE,STYLE_SOLID,3);  

   SetIndexBuffer(0,BorderTop2);
   SetIndexBuffer(1,BorderBottom2);
   
   SetIndexBuffer(2,BorderTop);
   SetIndexBuffer(3,BorderBottom);
   

 
   return(0);
  }
  
int deinit()
  {
//----
   
//----
   return(0);
  }
//------------------------------------------- Funkcijas START -------------------------------------------------
bool Sietu(bool ok)
   {
      bool Ziimeet = 0;
   
      if(ok==1)
         Ziimeet = 1;
      else
         Ziimeet = 0;
         
         return(Ziimeet);            
   }
   
int iznaakums(int START_Hour, int END_Hour, int START_Day, int END_Day, int i)
   {
      int sanaak =0;
      if( (TimeHour(Time[i]) >= START_Hour && TimeHour(Time[i]) <= END_Hour) && (TimeDayOfWeek(Time[i]) >= START_Day && TimeDayOfWeek(Time[i])<=END_Day) )
         sanaak=1;
      else
         sanaak=0;
         
            return(sanaak);      
   }   
//------------------------------------------- Funkcijas END -----------------------------------------------------------     

int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
   
   limit=Bars-counted_bars;
         
   bool nutax = Sietu(Siets);
     
//---- 
   for(int i = 0 ;i <= limit ;i++)
   {
      int purk=iznaakums(START_Hour,END_Hour,START_Day,END_Day,i);
      
            double mLow=Low[i];
            double mHigh=High[i];
            
      if(purk==1)
           {   
              BorderTop[i] = iHigh(Symbol(),PERIOD_D1,iBarShift(Symbol(),PERIOD_D1,Time[i]));
              BorderBottom[i] = iLow(Symbol(),PERIOD_D1,iBarShift(Symbol(),PERIOD_D1,Time[i]));
              
                 if(nutax==1)
                    {
                       BorderTop2[i] = iHigh(Symbol(),PERIOD_D1,iBarShift(Symbol(),PERIOD_D1,Time[i]));
                       BorderBottom2[i] = iLow(Symbol(),PERIOD_D1,iBarShift(Symbol(),PERIOD_D1,Time[i]));                
                    }
           }
           
      else
           {
              BorderTop[i] = EMPTY_VALUE;
              BorderBottom[i] = EMPTY_VALUE;
              BorderTop2[i] = EMPTY_VALUE;
              BorderBottom2[i] = EMPTY_VALUE; 
           } 
   }
//----
 return(0);
  }
//+------------------------------------------------------------------+
 